#ifndef  __BSP_UART_H__
#define __BSP_UART_H__


#include "CONFIG.h"

#define UART1_RX_BUFFER_LENGTH 64U
#define UART1_TX_BUFFER_LENGTH 1024U

void BSP_UART1_Init(uint32_t baudrate);

void BSP_UART1_TxLoop(void);

unsigned int BSP_Uart1_Receive_Data(void *buf, unsigned int len);
unsigned int BSP_Uart1_Send_Data(const void *buf, unsigned int len);

// void BSP_Shell_Loop(void);
















#endif

